Error: Cannot find module 'cordova-common'


#1

I am trying to execute: ionic start cutePuppyPics --v2

I get this: Error: cannot find module ‘cordova-common’

C:\ionic2>ionic start cutePuppyPics --v2

Error: Cannot find module 'cordova-common’
at Function.Module._resolveFilename (module.js:339:15)
at Function.Module._load (module.js:290:25)
at Module.require (module.js:367:17)
at require (internal/module.js:20:19)
at Object. (C:\Users\jgodino\AppData\Roaming\npm\node_modules\ionic\node_modules\ionic-app-lib\node_modules\cordova-lib\src\plugman\plugman.js:22:14)
at Module._compile (module.js:413:34)
at Object.Module._extensions…js (module.js:422:10)
at Module.load (module.js:357:32)
at Function.Module._load (module.js:314:12)
at Module.require (module.js:367:17)

Cannot find module ‘cordova-common’ (CLI v2.0.0-beta.37)

Your system information:

Cordova CLI: 6.3.1
Ionic CLI Version: 2.0.0-beta.37
Ionic App Lib Version: 2.0.0-beta.20
OS:
Node Version: v5.12.0


#2

I reinstalled ionic. I removed first:

uninstall -g cordova.
uninstall -g ionic


#3

Does this solve the issue?


#4

some To some Error…

G:\workpsace_nikunj>ionic start chatApp


Dependency warning - for the CLI to run correctly,
it is highly recommended to install/upgrade the following:

Please install your Cordova CLI to version >=4.2.0 npm install -g cordova


Error: Cannot find module 'cordova-common’
at Function.Module._resolveFilename (module.js:440:15)
at Function.Module._load (module.js:388:25)
at Module.require (module.js:468:17)
at require (internal/module.js:20:19)
at Object. (C:\Users\TULSI INFOTECH-2\AppData\Roaming\npm\node_mo
dules\ionic\node_modules\cordova-lib\src\plugman\plugman.js:22:14)
at Module._compile (module.js:541:32)
at Object.Module._extensions…js (module.js:550:10)
at Module.load (module.js:458:32)
at tryModuleLoad (module.js:417:12)
at Function.Module._load (module.js:409:3)

Cannot find module ‘cordova-common’ (CLI v2.1.17)

Your system information:

You have been opted out of telemetry. To change this, run: cordova telemetry on
.
6.4.0

Ionic CLI Version: 2.1.17
Ionic App Lib Version: 2.1.7
ios-deploy version: Not installed
ios-sim version: Not installed
OS: Windows 7
Node Version: v6.2.2
Xcode version: Not installed

G:\workpsace_nikunj>